<?php

namespace Bydedi\Database\Behaviors;

use Doctrine\ORM\Mapping as ORM;

/**
 * Class Enable
 * @package Bydedi\Database\Behaviors
 */
trait Enable
{
    /**
     * @var string
     *
     * @ORM\Column(name="enable", type="boolean", nullable=false)
     */
    private $enable = '1';

    /**
     * Set enable
     *
     * @param string $enable
     *
     * @return $this
     */
    public function setEnable($enable)
    {
        $this->enable = $enable;

        return $this;
    }

    /**
     * Get enable
     *
     * @return string
     */
    public function getEnable()
    {
        return $this->enable;
    }
}
