<?php

namespace Bydedi\Security;

/**
 * Interface UserInterface
 * @package Bydedi\Security
 */
interface UserInterface
{
    /**
     * @return mixed
     */
    public function getId();

    /**
     * @return array
     */
    public function getRolesCodes();

    /**
     * @param $plain
     * @return mixed
     */
    public function encryptPassword($plain);

    /**
     * @param $plain
     * @return mixed
     */
    public function validatePassword($plain);
}
